Bug 486715 - DPMS not working with KDE 4
DPMS not working with KDE 4
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-21 06:59 EST by Alberto Ferrante
Modified: 2009-04-28 03:05 EDT (History)
9 users (show)

See Also:
Fixed In Version: 4.2.0-13.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-28 03:05:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alberto Ferrante 2009-02-21 06:59:01 EST
Description of problem:
DPMS does not work when any KDE screensaver is set in auto mode. The display is set to standby, suspend, or off, but suddenly set back to on and the screensaver starts.
DPMS works fine instead.

Version-Release number of selected component (if applicable):
All

How reproducible:
All the times, when logged in as user

Steps to Reproduce:
1. set a screensaver to activate automatically in the desktop settings
2. set display power management to on and set a time for standby (x minutes)
3. let the x minutes elapse
  
alternatively:
2.b. run in a console: xset dpms force standby

Actual results:
Display is sent to stanby (or suspend or off), but suddenly sent back to on with the screensaver showing off.

Expected results:
Display should go in stanby (or suspend or off) and stay in that status until user uses keyboard/mouse.

Additional info:
On some systems (e.g., x86_64 with nvidia drivers) this does *not* happen when manually activating standby mode by xset; it happens in any case on some other systems (e.g., i386 with ati kernel drivers).
Comment 1 Rex Dieter 2009-02-23 11:05:41 EST
Mind testing this build?
https://koji.fedoraproject.org/koji/buildinfo?buildID=83557

It includes a few dpms-related patches pulled from upstream.
Comment 2 long 2009-03-10 15:30:35 EDT
I'm not sure if my problem was exactly the same but DPMS wasn't working for me at all with KDE 4 either.  I tried your new build(s) and it now appears the DPMS is working again to shut off the display after the specified period of inactivity.
Comment 3 Steven M. Parrish 2009-04-27 14:40:35 EDT
reporter, can you advise if this still an issue?
Comment 4 Alberto Ferrante 2009-04-27 16:52:12 EDT
Not an issue anymore, thanks!

Note You need to log in before you can comment on or make changes to this bug.